/***************************************************************************
 *   Copyright (C) 2006 by Matej Svejda                                    *
 *   mata@aw-modell.at                                                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
 
#include "beepbeat.h"
#include "beepbeat.moc"

#include <qobject.h>
#include <kapplication.h>

BeepBeat::BeepBeat(QObject *parent, const char *name) :
	Beat(parent, name)
{
	available = true;
	silent = false;
}

BeepBeat::~BeepBeat()
{
}

void BeepBeat::makeSound()
{
	if(!silent) {
		KApplication::beep();
	}
}

void BeepBeat::makeAccentuatedSound()
{
	if(!silent) {
		KApplication::beep();
	}
}

void BeepBeat::setVolume(float volume)
{
	if(volume == 0) {
		silent = true;
	} else {
		silent = false;
	}
}

